package main

import (
	"cicv-data-closedloop/kinglong_msgs"
)

func Topic() string {
	return "/data_read"
}

func Label() string {
	return "takeover"
}

func Rule(data *kinglong_msgs.Retrieval) string {
	// 驾驶员接管
	if data.AsDriverTakeoverReq == 1 || data.VcuDriverTakeoverReq == 1 {
		return "takeover"
	}
	return ""
}
